package com.wd.workoffice.ui.activity.login;


import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class RegisterFirstActivity extends WorkToolBarActivity{

    @BindView(R.id.btn_new_user)
    Button btnNewUser;
    @BindView(R.id.btn_erp)
    Button btnErp;
    @BindView(R.id.tv_go_login)
    TextView tvGoLogin;


    @Override
    protected void initView() {
        ButterKnife.bind(this);

    }

    @Override
    protected void initData() {

    }

    @Override
    protected void initEvent() {

    }

    @Override
    protected int layoutId() {
        return R.layout.activity_register_first;
    }


    @OnClick({R.id.btn_new_user, R.id.btn_erp, R.id.tv_go_login})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.btn_new_user:
                startActivity(UserRegisterOneActivity.class);
                break;
            case R.id.btn_erp:
                startActivity(ErpActivationOneActivity.class);
                break;
            case R.id.tv_go_login:
                startActivity(LoginActivity.class);
                break;
        }
    }

    @Override
    public void onError(String message) {

    }
}
